<ion-header>
  <ion-navbar>
    <ion-title>
      To Do
    </ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>
  <ion-item>
    <ion-input type="text" placeholder="Buy milk" [(ngModel)]="toDoItem"></ion-input>
  </ion-item>
  <button ion-button full (click)="addItem()">
    Add
  </button>

  <ion-list-header>To do</ion-list-header>
  <ion-list>
    <ion-item *ngFor="let item of toDoArray; let i = index;">
      <ion-label> {{ item }} </ion-label>
      <ion-checkbox (click)="finishItem(i)"></ion-checkbox>
      <button item-right ion-button (click)="deleteItemFromToDo(i)">
        <ion-icon name="close"></ion-icon>
      </button>
    </ion-item>
  </ion-list>

  <ion-list-header>Done</ion-list-header>
  <ion-list>
    <ion-item *ngFor="let item of doneArray; let j = index;">
      <ion-label> {{ item }} </ion-label>
      <ion-checkbox checked="true" (click)="unfinishItem(j)"></ion-checkbox>
      <button item-right ion-button (click)="deleteItemFromDone(j)">
        <ion-icon name="close"></ion-icon>
      </button>
    </ion-item>
  </ion-list>
</ion-content>
